libpyside-qt4-py3-devel-1.2.2-alt3.git20140501.x86_64.rpm


Advertisement

Description

libpyside-qt4-py3-devel - Development files of PySide (Python 3)

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package name libpyside-qt4-py3-devel
Package version 1.2.2
Package release alt3.git20140501
Package architecture x86_64
Package type rpm
Installed size 421.29 KB
Download size 421.29 KB
Official Mirror ftp.altlinux.org
The PySide project provides LGPL-licensed Python bindings for the Qt
cross-platform application and UI framework, as well as a complete
toolchain for rapidly generating bindings for any Qt-based C++ class
hierarchies. PySide Qt bindings allow both free open source and
proprietary software development and ultimately aim to support all of
the platforms as Qt itself.
This package contains development files of PySide.

Alternatives

Package Version Architecture Repository
libpyside-qt4-py3-devel-1.2.2-alt3.git20140501.i586.rpm 1.2.2 i586 Classic
libpyside-qt4-py3-devel - - -

Requires

Name Value
/usr/lib64/pkgconfig -
libpyside-qt4-py3 = 1.2.2-alt3.git20140501
libshiboken-py3-devel -
pkgconfig(shiboken) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
libpyside-qt4-py3-devel = 1.2.2-alt3.git20140501
pkgconfig(pyside) = 1.2.2

Conflicts

Name Value
libpyside-qt4-devel -

Download

Type URL
Binary Package libpyside-qt4-py3-devel-1.2.2-alt3.git20140501.x86_64.rpm
Source Package pyside-qt4-py3-1.2.2-alt3.git20140501.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libpyside-qt4-py3-devel rpm package:
    # sudo apt-get install libpyside-qt4-py3-devel

Files

Path
/usr/include/PySide/destroylistener.h
/usr/include/PySide/dynamicqmetaobject.h
/usr/include/PySide/globalreceiver.h
/usr/include/PySide/pyside.h
/usr/include/PySide/pyside_global.h
/usr/include/PySide/pysideclassinfo.h
/usr/include/PySide/pysideconversions.h
/usr/include/PySide/pysidemacros.h
/usr/include/PySide/pysidemetafunction.h
/usr/include/PySide/pysideproperty.h
/usr/include/PySide/pysideqflags.h
/usr/include/PySide/pysidesignal.h
/usr/include/PySide/pysideweakref.h
/usr/include/PySide/signalmanager.h
/usr/include/PySide/QtCore/pyside_qtcore_python.h
/usr/include/PySide/QtDeclarative/pyside_qtdeclarative_python.h
/usr/include/PySide/QtGui/pyside_qtgui_python.h
/usr/include/PySide/QtGui/qpytextobject.h
/usr/include/PySide/QtHelp/pyside_qthelp_python.h
/usr/include/PySide/QtMultimedia/pyside_qtmultimedia_python.h
/usr/include/PySide/QtNetwork/pyside_qtnetwork_python.h
/usr/include/PySide/QtOpenGL/pyside_qtopengl_python.h
/usr/include/PySide/QtScript/pyside_qtscript_python.h
/usr/include/PySide/QtScriptTools/pyside_qtscripttools_python.h
/usr/include/PySide/QtSql/pyside_qtsql_python.h
/usr/include/PySide/QtSvg/pyside_qtsvg_python.h
/usr/include/PySide/QtTest/pyside_qttest_python.h
/usr/include/PySide/QtUiTools/pyside_qtuitools_python.h
/usr/include/PySide/QtWebKit/pyside_qtwebkit_python.h
/usr/include/PySide/QtXml/pyside_qtxml_python.h
/usr/include/PySide/QtXmlPatterns/pyside_qtxmlpatterns_python.h
/usr/lib64/libpyside.cpython-36m.so
/usr/lib64/cmake/PySide-1.2.2/PySideConfig.cmake
/usr/lib64/cmake/PySide-1.2.2/PySideConfig.cpython-36m.cmake
/usr/lib64/cmake/PySide-1.2.2/PySideConfigVersion.cmake
/usr/lib64/pkgconfig/pyside.pc

Changelog

2018-05-08 - Sergey Bolshakov <sbolshakov@altlinux.ru> 1.2.2-alt3.git20140501
- fixed packaging on 64bit arches other than x86_64
2018-03-22 - Aleksei Nikiforov <darktemplar@altlinux.org> 1.2.2-alt2.git20140501.1.1
- (NMU) Rebuilt with python-3.6.4.
2016-03-17 - Ivan Zakharyaschev <imz@altlinux.org> 1.2.2-alt2.git20140501.1
- (NMU) rebuild with python3-3.5 & rpm-build-python3-0.1.10
(for ABI dependence and new python3(*) reqs)
2015-12-08 - Andrey Cherepanov <cas@altlinux.org> 1.2.2-alt2.git20140501
- Exclude ENABLE_VERSION_SUFFIX to prevent difference between
/usr/include/PySide-1.2/QtGui and /usr/include/PySide/QtGui
2014-07-09 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.2-alt1.git20140501
- New snapshot
2014-05-27 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.2-alt1.git20140422
- Version 1.2.2
2013-11-18 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.1-alt1.git20130724
- Version 1.2.1
2013-06-17 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1.2-alt2.git20130522
- New snapshot
2013-03-21 - Aleksey Avdeev <solo@altlinux.ru> 1.1.2-alt1.1
- Rebuild with Python-3.3
2012-09-04 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.1.2-alt1
- Version 1.1.2

See Also

Package Description
libpython-2.7.14-alt7.1.x86_64.rpm Python shared library
libpython3-3.6.5-alt1.1.x86_64.rpm Python3 shared library
libqacache-0.3-alt1.x86_64.rpm NoSQL solution for data caching
libqacache-devel-0.3-alt1.x86_64.rpm NoSQL solution for data caching
libqaccessibilityclient-0.1.1-alt1.x86_64.rpm Accessibility client library for Qt
libqaccessibilityclient-devel-0.1.1-alt1.x86_64.rpm Development files for libqaccessibilityclient
libqaccessibilityclient-qt5-0.2.0-alt2.S1.x86_64.rpm This library is used when writing accessibility clients
libqaccessibilityclient-qt5-devel-0.2.0-alt2.S1.x86_64.rpm Development files for libqaccessibilityclient-qt5
libqalculate-2.6.1-alt1.S1.x86_64.rpm libqalculate libraries
libqalculate-devel-2.6.1-alt1.S1.x86_64.rpm libqalculate development package
libqb-1.0.3-alt1_4.x86_64.rpm An IPC library for high performance servers
libqb-devel-1.0.3-alt1_4.x86_64.rpm Development files for libqb
libqca-1.0-alt4.1.x86_64.rpm QCA - Qt Cryptographic Architecture
libqca-devel-1.0-alt4.1.x86_64.rpm Header files for developing apps which will use Qt Crytographic Architecture (QCA)
libqca-qt5-2.2.0-alt0.1.S1.x86_64.rpm QCA - Qt Cryptographic Architecture library
Advertisement
Advertisement